Subject: [bug#76407] Deliberation period for GCD 003 "Rename the default branch" has technically started

From: 45mg <[email-masked]>
Date: Sat, 10 May 2025 16:09:21 +0000

Hi Guix,

Now that the results are out, I just wanted to thank Liliana for
starting this GCD, and everyone else who contributed to the effort and
supported/accepted.

I would have been too intimidated to broach such a controversial topic;
and even if I could get over that fear, the amount of effort needed to
write a GCD and then spend the next few weeks reading and responding to
everyone's comments was clearly enormous. I believe that this collective
effort couldn't have been motivated by anything other than a genuine
love for the community, and a desire to be as welcoming as possible to
people from diverse backgrounds.

And looking at the proportion of people who supported/accepted, I feel
reassured that I've chosen a good project and community to put my spare
time and energy into. That feeling is rare to come by these days, so
once again - thank you.

Steve George <[email-masked]> writes:

> Hi all,
>
> I collated the results from the voting on GCD003.
>
> Voting by members:
>   - 49 people in the voting pool
>   - 29 votes in total
>   - 10 Support, 12 Accept
>   - 7 Disapprove
>
> - Declarations by observers (people not in teams):
>   - 5 declarations in total
>   - 2 Support
>   - 2 Accept
>   - 1 Disapprove
>
> Voting result:
>   - 45% (22 votes) voted to pass the GCD
>   - 14% voted to disapprove
>   - 41% abstained by not voting
>
> This GCD is withdrawn as it didn't achieve full consensus:
>
>   "The GCD is accepted if (1) at least 25% of all team members–as of the start
>    of the “Deliberation Period”–send a reply, and (2) no one disapproves. In
>    other cases, the GCD is withdrawn" (from GCD 001)↩
>
> It may be presented again to the members, at a later time, following further efforts to achieve consensus.
>
> * Please check that I captured **your vote** correctly, the voting tally is here:
>
> https://codeberg.org/futurile/guix-org/src/branch/master/gcd-voting-summary/gcd003-voting-record.rec
>
> * Voting summary for this GCD is here:
>
> https://codeberg.org/futurile/guix-org/src/branch/master/gcd-voting-summary/gcd003-voting-summary.md
>
> Hope this is useful!
>
> Steve / Futurile
>
>
> On 21 Apr, Liliana Marie Prikler wrote:
>> Hi Guix,
>> 
>> as the date for the GCD 003 was set to February 18th, the discussion
>> period actually ended on Saturday already.  I have incorporated some
>> changes on Sunday to realign the proposal with GCD 002 (the Codeberg
>> one), but barring any emergency changes there, GCD 003 is now to be
>> considered final.
>> 
>> As outlined in GCD 001, please respond to this mail with one of the
>> following:
>> 
>> - “I support”, meaning that you support the proposal;
>> - “I accept”, meaning that you consent to the implementation of the
>>   proposal;
>> - “I disapprove”, meaning that you oppose the implementation of the
>>   proposal.
>> 
>> To count my own vote, I support the change of the default branch name
>> to “main”.
>> 
>> Cheers
>>